@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    .icon-wrapper svg {
        height: 100%;
        width: 100%;
        object-fit: contain;
    }

    .required:after,
    .required-disabled:after {
        content: "*";
        margin-left: 4px;
    }

    .required:after {
        color: #E41616;
    }

    .required-disabled:after {
        color: #9D9D9D;
    }

    .box-shadow-none {
        box-shadow: none;
    }

    .marker-primary::marker {
        color: #0062D8;
        font-size: 24px;
        line-height: 0.7;
    }

    .breadcrumbs-offset {
        top: var(--ui-sticky-header-height, 93px) ;
    }

    .container-offset {
        margin-top: calc(var(--ui-sticky-header-height, 93px) + var(--ui-breadcrumbs-height, 0px));

        @media (min-width: 768px) {
            margin-top: calc(var(--ui-sticky-header-height, 84px) + var(--ui-breadcrumbs-height, 0px));
        }
    }

    .section {
        padding-top: var(--section-m-pt, 100px);
        padding-bottom: var(--section-m-pb, 100px);

        @media (min-width: 1024px) {
            padding-top: var(--section-pt, 50px);
            padding-bottom: var(--section-pb, 50px);
        }
    }

    /* 69px and 84px are the default header height at these resolutions */
    .content-offset {
        padding-top: calc(var(--ui-sticky-header-height, 93px) + var(--ui-breadcrumbs-height, 0px));

        @media (min-width: 768px) {
            padding-top: calc(var(--ui-sticky-header-height, 84px) + var(--ui-breadcrumbs-height, 0px));
        }
    }
}

@layer components {
    .page {
        padding-top: var(--ui-sticky-header-height, 0);
    }

    .no-scrollbar {
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    .no-scrollbar::-webkit-scrollbar {
        display: none;
    }

    /*Button*/
    .button {
        @apply text-primary rounded-[64px] font-inter font-semibold flex gap-x-[0.75rem] items-center max-w-full break-words disabled:border-light-gray disabled:bg-concrete disabled:text-silver disabled:hover:bg-concrete disabled:hover:text-silver;
    }

    .button-primary {
        @apply border-2 border-primary bg-primary text-white hover:bg-secondary hover:border-secondary transition-colors disabled:hover:border-light-gray;
    }

    .button-secondary {
        @apply border-2 border-primary bg-transparent text-primary hover:bg-primary hover:text-white transition-colors;
    }

    .button-big {
        @apply py-[14px] px-4 md:px-[38px] text-base;
    }

    .button-small {
        @apply py-[10px] px-[40px] text-sm;
    }

    .button-empty {
        @apply py-0 px-0 text-base text-dark rounded-none hover:opacity-70;
    }

    .button-icon-wrapper {
        @apply h-6 w-6 shrink-0;
    }

    .input-focus {
        @apply focus:ring-0 focus:ring-transparent focus-visible:ring-2 focus-visible:ring-primary;
    }

    .container {
        @apply max-w-[1240px] px-5 mx-auto;
    }

    .overlay {
        @apply fixed inset-x-0 inset-y-0 z-20 bg-overlay;
    }

    .absolute-center {
        @apply absolute top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2;
    }

    .modal {
        max-width: calc(100dvw - 40px);
        max-height: calc(100dvh - 40px);
    }

    .number-card-filled {
        @apply bg-primary text-white bg-number-card bg-no-repeat bg-right-center
    }

    .number-card-outlined {
        @apply bg-white text-dark border-b-4 border-primary !pb-7
    }

    .footer-gradient {
        background: linear-gradient(to left, #020F18 50%, #0062D8 50%);
    }

    .scale-underline {
        @apply lg:before:content-[""] lg:before:absolute lg:before:w-full lg:before:h-[2px] lg:before:rounded-[4px] lg:before:bg-current lg:before:bottom-0 lg:before:left-0 lg:before:origin-right lg:before:scale-x-[0] lg:before:transition-transform lg:group-hover:before:origin-left lg:group-hover:before:scale-x-100;
    }

    .skip-link {
        position: absolute;
        top: -40px;
        left: -200px;
        background: #000;
        color: white;
        padding: 8px;
        z-index: 100;
        transition: top 0.3s;
    }

    .skip-link:focus {
        top: 0;
        left: 0;
    }
}
